set x=15000
set u=1000
set t=100
set n=25

set name=sample1-Fx127
echo off
echo Search for small asymmetric p2 loops containing one Fx127 component
echo (see sample1-Fx127base.rle)
echo -p 998 (arbitrary prime*2) ensures that stable or p2 conduits are used
echo
echo The 11th solution produces a valid p972 loop (i=281: 422*2+1+127=972)
echo -- which happens to be stable; no p2 conduits were needed in this case.
echo Smaller solutions are all invalid in various ways, which there's currently
echo no way in Hersrch to filter for -- have to inspect and discard:
echo - some loops go clockwise -- no room for the Fx127;
echo - some loops have other conduits too close to the output Herschel --
echo     one of the close ones is #3, which includes a compact
echo     (but not compact enough) p2 Fx119 component;
echo - some loops end with an F171, which cannot be followed by a dependent
echo     conduit (Hersrch pays attention to overlap and dependency criteria
echo     within the track, but there's no way to restrict the beginning or end
echo     of the track -- except by including the Fx127 in data.ini and
echo     searching for closed loops!)

hersrch -p 998 -o %name%.rle -n %n% -f %name%.log -s -x %x% -u %u% -t %t% -e (i=200..450)Fx(i*2+1)[-36,3]
pause
