// Progress.cpp: implementation of the Progress class.
//
//////////////////////////////////////////////////////////////////////

#include "Progress.h"
#include <stdio.h>
#include <string.h>

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

long Progress::s_numSteps = 1;
long Progress::s_step = 0;
time_t Progress::s_lastTime = time(NULL);
char Progress::s_buffer[80];

Progress::Progress()
{

}

Progress::~Progress()
{

}

void Progress::activate(long numSteps)
{
	s_numSteps = numSteps;
	s_step = 0;
	s_lastTime = 0;
	s_buffer[0] = '\0';
}

void Progress::step(long steps)
{
	s_step += steps;
	report();
}

void Progress::setStep(long steps)
{
	s_step = steps;
	report();
}

void Progress::cleanup()
{
	long i = 0;
	while(s_buffer[i] != '\0')
	{
		s_buffer[i] = ' ';
		++i;
	}
//	fprintf(stdout,"%s\r", s_buffer);
	s_lastTime = 0;
}

void Progress::report()
{
	time_t t = time(NULL);
	if (s_lastTime != t)
	{
		s_lastTime = t;
		if (s_numSteps != 0)
		{
			long l1 = strlen(s_buffer);
			sprintf(s_buffer, "%d of %d (%d %%)", s_step, s_numSteps, s_step * 100 / s_numSteps);
			long l2 = strlen(s_buffer);
//			fprintf(stdout, "%s", s_buffer);
			while (l2 < l1)
			{
//				fputc(' ', stdout);
				++l2;
			}
//			fputc('\r', stdout);
		}
	}
}

